Name:             perl-Net-DNS-Resolver-Programmable
Version:          0.009
Release:          5
Summary:          Programmable DNS Resolver Class for Offline
License:          GPLv2+ or Artistic
URL:              https://metacpan.org/release/Net-DNS-Resolver-Programmable
Source0:          https://cpan.metacpan.org/authors/id/B/BI/BIGPRESH/Net-DNS-Resolver-Programmable-%{version}.tar.gz
BuildArch:        noarch
BuildRequires:    coreutils findutils make perl-generators perl
BuildRequires:    perl(ExtUtils::MakeMaker) perl(Test::More)
BuildRequires:    perl(base) perl(constant) perl(Net::DNS) >= 0.69 perl(Net::DNS::Packet)
BuildRequires:    perl(Net::DNS::Resolver) perl(strict) perl(warnings)
Requires:         perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%description
Net::DNS::Resolver::Programmable is a Net::DNS::Resolver descendant
class that allows a virtual DNS to be emulated instead of querying the real
DNS.A set of static DNS records may be supplied, or arbitrary code may be
specified as a means for retrieving DNS records, or even generating them on
the fly.

%package help
Summary:          Help documentation for the %{name}

%description help
Help documentation for the %{name}.

%prep
%autosetup -n Net-DNS-Resolver-Programmable-%{version} -p1

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -rf {} \;
%{_fixperms} -c %{buildroot}

%check
make test

%files
%doc CHANGES README TODO LICENSE
%{perl_vendorlib}/Net/

%files help
%{_mandir}/man3/*

%changelog
* Fri Mar 13 2020 likexin <likexin4@huawei.com> - 0.009-5
- package init
